Uncategorized Modules
=====================

Experiment
----------

..  autoclass:: nni.retiarii.experiment.pytorch.RetiariiExeConfig
    :members:

..  autoclass:: nni.retiarii.experiment.pytorch.RetiariiExperiment
    :members:

NAS Benchmarks
--------------

.. _nas-bench-101-reference:

NAS-Bench-101
^^^^^^^^^^^^^

.. automodule:: nni.nas.benchmarks.nasbench101
   :members:
   :imported-members:

.. _nas-bench-201-reference:

NAS-Bench-201
^^^^^^^^^^^^^

.. automodule:: nni.nas.benchmarks.nasbench201
   :members:
   :imported-members:

.. _nds-reference:

NDS
^^^

.. automodule:: nni.nas.benchmarks.nds
   :members:
   :imported-members:

Retrain (Architecture Evaluation)
---------------------------------

..  autofunction:: nni.retiarii.fixed_arch

Utilities
---------

..  autofunction:: nni.retiarii.basic_unit

..  autofunction:: nni.retiarii.model_wrapper

..  automodule:: nni.retiarii.nn.pytorch.mutation_utils
    :imported-members:
    :members:

..  automodule:: nni.retiarii.utils
    :members:
